<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from s_3_mbigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="percents_3_mbigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>s_3_mbigint</refname>
    <refpurpose>overloading compatibility for &#8804; (lower or equal) operator with double/mbigint</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>A:</term>
            <listitem><para> mbigint</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>x :</term>
            <listitem><para> double</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>bool :</term>
            <listitem><para> boolean matrix</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
double/mbigint "lower or equal" operator
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x=bigint('123456789')
y=bigint('02345678')
z=bigint('1234567890')
M=[x y; z x-z]
123456789<=M
2345678<=M
-123456789<=M
//matrix case
[123456789 2345678; -123456789 0]<=M

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="bigint_3_mbigint">bigint_3_mbigint</link></member>
   <member><link linkend="mbigint_3_mbigint">mbigint_3_mbigint</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
